<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: udp_packet_parser Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">udp_packet_parser Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for udp_packet_parser:</div>
<div class="dyncontent">
<div class="center"><img src="classudp__packet__parser__inherit__graph.png" border="0" usemap="#udp__packet__parser_inherit__map" alt="Inheritance graph"/></div>
<map name="udp__packet__parser_inherit__map" id="udp__packet__parser_inherit__map">
<area shape="rect" id="node2" href="classUDP__if.html" title="UDP_if" alt="" coords="44,80,111,107"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classudp__packet__parser-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classudp__packet__parser_1_1v3.html">v3</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a9d4b3a884377fc38dbeeeae505b8f09a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d4b3a884377fc38dbeeeae505b8f09a"></a>
<a class="el" href="classudp__packet__parser.html#a9d4b3a884377fc38dbeeeae505b8f09a">IPBUSPORT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; C351 &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a922de38640d6f7ccd6cb6393ec9e5b11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a922de38640d6f7ccd6cb6393ec9e5b11"></a>
<a class="el" href="classudp__packet__parser.html#a922de38640d6f7ccd6cb6393ec9e5b11">SECONDARYPORT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aee67d40dd981a5ed2dc7ffc6e60c72c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee67d40dd981a5ed2dc7ffc6e60c72c6"></a>
<a class="el" href="classudp__packet__parser.html#aee67d40dd981a5ed2dc7ffc6e60c72c6">mac_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35ad2d13752d3f71600b0cc59cd1e79e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35ad2d13752d3f71600b0cc59cd1e79e"></a>
<a class="el" href="classudp__packet__parser.html#a35ad2d13752d3f71600b0cc59cd1e79e">rx_reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a221c7c4f49f3ce6369d7535f08875df2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a221c7c4f49f3ce6369d7535f08875df2"></a>
<a class="el" href="classudp__packet__parser.html#a221c7c4f49f3ce6369d7535f08875df2">enable_125</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a747f7ddfb9b4093ce5a5212ba9a76d32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a747f7ddfb9b4093ce5a5212ba9a76d32"></a>
<a class="el" href="classudp__packet__parser.html#a747f7ddfb9b4093ce5a5212ba9a76d32">mac_rx_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a87f0b30e7f28aa85507dacb3ee182386"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87f0b30e7f28aa85507dacb3ee182386"></a>
<a class="el" href="classudp__packet__parser.html#a87f0b30e7f28aa85507dacb3ee182386">mac_rx_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad7fc86eda8ae4be4a100b33ffdc77b07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7fc86eda8ae4be4a100b33ffdc77b07"></a>
<a class="el" href="classudp__packet__parser.html#ad7fc86eda8ae4be4a100b33ffdc77b07">MAC_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae459305abc266a5b79d169aedf29ca1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae459305abc266a5b79d169aedf29ca1f"></a>
<a class="el" href="classudp__packet__parser.html#ae459305abc266a5b79d169aedf29ca1f">My_IP_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2903a44948f26130e100f09435d7a3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2903a44948f26130e100f09435d7a3e"></a>
<a class="el" href="classudp__packet__parser.html#ac2903a44948f26130e100f09435d7a3e">next_pkt_id</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a03799200a1391d58c7ddcf298e78a18f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03799200a1391d58c7ddcf298e78a18f"></a>
<a class="el" href="classudp__packet__parser.html#a03799200a1391d58c7ddcf298e78a18f">pkt_broadcast</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86f2ad92b78b34f4b26fe3eabf9880d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86f2ad92b78b34f4b26fe3eabf9880d2"></a>
<a class="el" href="classudp__packet__parser.html#a86f2ad92b78b34f4b26fe3eabf9880d2">pkt_byteswap</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1eb9419cb2513527bf443bc9da84a6e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1eb9419cb2513527bf443bc9da84a6e4"></a>
<a class="el" href="classudp__packet__parser.html#a1eb9419cb2513527bf443bc9da84a6e4">pkt_drop_arp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4cf0f212ae9bb27c59f98000818700d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cf0f212ae9bb27c59f98000818700d0"></a>
<a class="el" href="classudp__packet__parser.html#a4cf0f212ae9bb27c59f98000818700d0">pkt_drop_ipbus</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4c0eb1b75554dace0354f65d37fab088"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c0eb1b75554dace0354f65d37fab088"></a>
<a class="el" href="classudp__packet__parser.html#a4c0eb1b75554dace0354f65d37fab088">pkt_drop_payload</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f80850d5dc1f9cc150cca9e6c687453"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f80850d5dc1f9cc150cca9e6c687453"></a>
<a class="el" href="classudp__packet__parser.html#a8f80850d5dc1f9cc150cca9e6c687453">pkt_drop_ping</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a174fe54e2037a45769a2422eb593a1e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a174fe54e2037a45769a2422eb593a1e7"></a>
<a class="el" href="classudp__packet__parser.html#a174fe54e2037a45769a2422eb593a1e7">pkt_drop_rarp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a41a8bebb23444242fe4aa05a02ed77b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41a8bebb23444242fe4aa05a02ed77b8"></a>
<a class="el" href="classudp__packet__parser.html#a41a8bebb23444242fe4aa05a02ed77b8">pkt_drop_reliable</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5d516100d62b4f1bbfc6d675ed12ed90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d516100d62b4f1bbfc6d675ed12ed90"></a>
<a class="el" href="classudp__packet__parser.html#a5d516100d62b4f1bbfc6d675ed12ed90">pkt_drop_resend</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4896219a7707e43f0e7f0fe9415ffab4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4896219a7707e43f0e7f0fe9415ffab4"></a>
<a class="el" href="classudp__packet__parser.html#a4896219a7707e43f0e7f0fe9415ffab4">pkt_drop_status</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__packet__parser_8vhd_source.html#l00008">8</a> of file <a class="el" href="udp__packet__parser_8vhd_source.html">udp_packet_parser.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="udp__packet__parser_8vhd_source.html">udp_packet_parser.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
